fStart = 2.7;
fStop = 4;
fStep = 25;
frequency = logspace(fStart,fStop,fStep);
amplitude = 10;
scopeIP = '10.0.0.7';
outputarray = NaN(fStep,1);

for i = 1:fStep
    prologix_function_generator_waveform(1,frequency(i),amplitude);
    outputarray(i) = keysight_measure_vpp(1,scopeIP);
end
semilogx(frequency,outputarray)
grid on